| OGRE 1.10.11 Object-Oriented Graphics Rendering Engine

Public Member Functions | List of all members
Ogre::NaClGLContext Class Reference

`#include <OgreNaClGLContext.h>`

Inheritance diagram for Ogre::NaClGLContext:
[legend]

## Public Member Functions
| NaClGLContext (const NaClWindow *window, const NaClGLSupport *glsupport, pp::Instance *instance, pp::CompletionCallback *swapCallback)
virtual | ~NaClGLContext ()
vector< uint32 >::type & | _getFboDeferredForDestruction ()
| FBOs deferred for destruction in proper GL context. More...
vector< uint32 >::type & | _getVaoDeferredForDestruction ()
| VAOs deferred for destruction in proper GL context. More...
GLContext * | clone () const
| Create a new context based on the same window/pbuffer as this context - mostly useful for additional threads. More...
template<class StateCacheManager >
StateCacheManager * | createOrRetrieveStateCacheManager ()
| Get the state cache manager, creating it on demand. More...
virtual void | endCurrent ()
| This is called before another context is made current. More...
bool | getInitialized ()
virtual void | Graphics3DContextLost ()
| The Graphics3DClient interface - pp::Graphics3DClient_Dev. More...
virtual void | releaseContext ()
| Release the render context. More...
void | resize ()
virtual void | setCurrent ()
| Enable the context. More...
void | setInitialized ()
void | swapBuffers ()

## Constructor & Destructor Documentation

## ◆ NaClGLContext()

Ogre::NaClGLContext::NaClGLContext | ( | const NaClWindow * | window,
|  | const NaClGLSupport * | glsupport,
|  | pp::Instance * | instance,
|  | pp::CompletionCallback * | swapCallback
| ) |  |

## ◆ ~NaClGLContext()

virtual Ogre::NaClGLContext::~NaClGLContext | ( |  | ) |
| virtual

## Member Function Documentation

## ◆ setCurrent()

virtual void Ogre::NaClGLContext::setCurrent | ( |  | ) |
| virtual

Enable the context.

All subsequent rendering commands will go here.

Implements Ogre::GLContext.

## ◆ endCurrent()

virtual void Ogre::NaClGLContext::endCurrent | ( |  | ) |
| virtual

This is called before another context is made current.

By default, nothing is done here.

Implements Ogre::GLContext.

## ◆ clone()

GLContext* Ogre::NaClGLContext::clone | ( |  | ) | const
| virtual

Create a new context based on the same window/pbuffer as this context - mostly useful for additional threads.

Note
  The caller is responsible for deleting the returned context.

Implements Ogre::GLContext.

## ◆ swapBuffers()

void Ogre::NaClGLContext::swapBuffers | ( |  | ) |

## ◆ resize()

void Ogre::NaClGLContext::resize | ( |  | ) |

## ◆ Graphics3DContextLost()

virtual void Ogre::NaClGLContext::Graphics3DContextLost | ( |  | ) |
| virtual

The Graphics3DClient interface - pp::Graphics3DClient_Dev.

## ◆ getInitialized()

bool Ogre::GLContext::getInitialized | ( |  | ) |
| inline inherited

## ◆ setInitialized()

void Ogre::GLContext::setInitialized | ( |  | ) |
| inline inherited

## ◆ releaseContext()

virtual void Ogre::GLContext::releaseContext | ( |  | ) |
| inline virtual inherited

Release the render context.

## ◆ createOrRetrieveStateCacheManager()

template<class StateCacheManager >

StateCacheManager* Ogre::GLContext::createOrRetrieveStateCacheManager | ( |  | ) |
| inline inherited

Get the state cache manager, creating it on demand.

References OGRE_NEW.

## ◆ _getVaoDeferredForDestruction()

vector<uint32>::type& Ogre::GLContext::_getVaoDeferredForDestruction | ( |  | ) |
| inline inherited

VAOs deferred for destruction in proper GL context.

## ◆ _getFboDeferredForDestruction()

vector<uint32>::type& Ogre::GLContext::_getFboDeferredForDestruction | ( |  | ) |
| inline inherited

FBOs deferred for destruction in proper GL context.

The documentation for this class was generated from the following file:

- OgreNaClGLContext.h